package schedframe.events;

import schedframe.resources.computing.profiles.energy.ResourceEvent;
import schedframe.resources.devices.PhysicalResource;

public class ResourceEventCommand implements EventCommand {

	private PhysicalResource resource;
	
	public ResourceEventCommand(PhysicalResource resource) {
		this.resource = resource;
	}

	public void execute(ResourceEvent event) {
		resource.getEventHandler().handleResourceEvent(event);
	}

}
