package schedframe.events.scheduling;

import schedframe.resources.computing.profiles.energy.ResourceEventType;

public class ResourceStateChangedEvent extends SchedulingEvent {

	protected ResourceEventType eventType;
	
	public ResourceStateChangedEvent(ResourceEventType eventType) {
		super(SchedulingEventType.RESOURCE_STATE_CHANGED);
		this.eventType = eventType;
	}


	public ResourceEventType getResourceEventType() {
		return eventType;
	}

}
