package schedframe.events.scheduling;

public class TaskResumedEvent extends SchedulingEvent {

	protected String jobId;
	protected String taskId;
	
	public TaskResumedEvent(String jobId, String taskId) {
		super(SchedulingEventType.TASK_RESUMED);
		this.jobId = jobId;
		this.taskId = taskId;
	}

	public String getJobId() {
		return jobId;
	}

	public String getTaskId() {
		return taskId;
	}
	
}
