package schedframe.resources.computing.profiles.energy;

import schedframe.events.EventType;

public enum ResourceEventType implements EventType {
	
	TASK_STARTED,
	TASK_FINISHED,

	POWER_STATE_CHANGED,
	CPU_FREQUENCY_CHANGED,
	AIRFLOW_STATE_CHANGED,
	
	UTILIZATION_CHANGED,
	
	TEMPERATURE_CHANGED,
	
	UPDATE_POWER_STATE;

	public String getName(){
		return toString();
	}
}
